#!/usr/bin/env bash

REPLICA_IDENTIFIER="ftm-prod-rds-v2-new-1"; TARGET_DATE="$(date +'%Y-%m-%d %H:%M:%S')"; TARGET_PAST_DATE="$(date -d "${TARGET_DATE} 120 seconds ago" +'%Y-%m-%d %H:%M:%S')"; aws cloudwatch get-metric-statistics --namespace='AWS/RDS' --dimensions="Name=DBInstanceIdentifier,Value=${REPLICA_IDENTIFIER}" --metric-name='CPUUtilization' --start-time="${TARGET_PAST_DATE}" --end-time="${TARGET_DATE}" --period=60 --statistics='["Minimum","Maximum"]' --query="Datapoints[-1:2:1].Maximum" --output=text --region=us-east-1;
REPLICA_IDENTIFIER="ftm-prod-rds-v2-new"; TARGET_DATE="$(date +'%Y-%m-%d %H:%M:%S')"; TARGET_PAST_DATE="$(date -d "${TARGET_DATE} 300 seconds ago" +'%Y-%m-%d %H:%M:%S')"; aws cloudwatch get-metric-statistics --namespace='AWS/RDSCluster' --dimensions="Name=DBClusterIdentifier,Value=${REPLICA_IDENTIFIER}" --metric-name='CPUUtilization' --start-time="${TARGET_PAST_DATE}" --end-time="${TARGET_DATE}" --period=60 --statistics='["Minimum","Maximum"]' --query="Datapoints[-1:2:1].Maximum" --output=text --region=us-east-1;
